Bug 134160 - Dragging image around slow (Skia Raster; SkColorFilters::Blend)
Summary: Dragging image around slow (Skia Raster; SkColorFilters::Blend)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0 target:7.0.0.1
Keywords:
Depends on:
Blocks: Skia
  Show dependency treegraph
 
Reported: 2020-06-19 21:07 UTC by Telesto
Modified: 2020-06-26 10:50 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Example file (67.10 KB, application/vnd.oasis.opendocument.text)
2020-06-19 21:08 UTC, Telesto
Details
Example file (21.09 KB, application/vnd.oasis.opendocument.presentation)
2020-06-20 20:43 UTC, Telesto
Details
Screencast (6.56 MB, video/mp4)
2020-06-22 20:15 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-06-19 21:07:48 UTC
Description:
Dragging image around slow (Skia Raster; SkColorFilters::Blend)

Steps to Reproduce:
1. Open the attached file
2. Drag the images around.. resize 

No issue with Vulkan as far I noticed..

Actual Results:
Slowdown.. CPU increase

Expected Results:
Smooth


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: 43c60ce1ac7629a1462e927e6ff937469f58f743
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 1 Telesto 2020-06-19 21:08:03 UTC
Created attachment 162219 [details]
Example file
Comment 2 Telesto 2020-06-20 20:43:20 UTC
Created attachment 162234 [details]
Example file

Same when dragging the fontwork around
Comment 3 Luboš Luňák 2020-06-22 11:25:47 UTC
I do not see anything wrong with either of those files.
Comment 4 Telesto 2020-06-22 20:15:58 UTC
Created attachment 162325 [details]
Screencast

Screencast 
1 This is not specific to Skia (GDI does the same thing). Didn't look at it while reporting.. also in older versions :-(. So feel free to ignore
2. Yes, the dragging image around this way is stupid, but change it to the idea of dragging an image into position.. (with mouse or finger on a touch screen)
Comment 5 Commit Notification 2020-06-24 10:41:06 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/acb7f9e072d55c3f91bec247b809b4d367062f60

in Skia raster mode cache even enlarging of images (tdf#134160)

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Luboš Luňák 2020-06-24 10:42:28 UTC
With my recent commits, this should now be better (or, as far as Skia is concerned, probably as good as it gets).
Comment 7 Commit Notification 2020-06-26 10:50:10 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/d00d56db1b5552e5db52caa9058e5d6ca0ff1de4

in Skia raster mode cache even enlarging of images (tdf#134160)

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.